Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6924 - rpm -Fvh sometimes fails
Summary: rpm -Fvh sometimes fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-11 13:36 UTC by Riley H Williams
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-11 13:36:17 UTC


Attachments (Terms of Use)

Description Riley H Williams 1999-11-11 13:36:17 UTC
I tried to use `rpm -Fvh *.rpm` to update a RH 6.0 install
to RH 6.1 and found that it didn't succeed.

The problem appears to be connected with RPM's where the new
version is dependant on RPM's the old version wasn't
dependant on that weren't installed (and sometimes didn't
even exist in the old version).

Personally, I would suggest that if this situation occurs,
AND all of the RPM's it is dependant on that aren't
installed are included in the parameter list, then rpm
should just include those RPM's in the list of RPM's to be
installed by -Fvh as if they had previously been installed.

Alternatively, is there a different option that has this
behaviour? I can't find any.

Comment 1 Jeff Johnson 2001-01-09 15:25:12 UTC
The original implementation of --freshen, implemented as a shell script with
several queries,
could fail if, for example, there were network latency problems or errors.

--freshen is now implemented in C (since rpm-3.0.5) and so has little to do with
this problem.


Note You need to log in before you can comment on or make changes to this bug.